gtkmm: Gtk::BuilderError Class Reference

gtkmm 3.24.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::BuilderError Class Reference

Exception class for Gdk::Builder errors. More...

`#include <gtkmm/builder.h>`

Inheritance diagram for Gtk::BuilderError:
[legend]

## Public Types
enum | Code { INVALID_TYPE_FUNCTION, UNHANDLED_TAG, MISSING_ATTRIBUTE, INVALID_ATTRIBUTE, INVALID_TAG, MISSING_PROPERTY_VALUE, INVALID_VALUE, VERSION_MISMATCH, DUPLICATE_ID, OBJECT_TYPE_REFUSED, TEMPLATE_MISMATCH, INVALID_PROPERTY, INVALID_SIGNAL, INVALID_ID }
| Error codes that identify various errors that can occur while using Gtk::Builder. More...

## Public Member Functions
| BuilderError (Code error_code, const Glib::ustring& error_message)
| BuilderError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gdk::Builder errors.

## Member Enumeration Documentation

enum Gtk::BuilderError::Code

Error codes that identify various errors that can occur while using Gtk::Builder.

Enumerator
INVALID_TYPE_FUNCTION | A type-func attribute didn’t name a function that returns a GType.
UNHANDLED_TAG | The input contained a tag that Gtk::Builder can’t handle.
MISSING_ATTRIBUTE | An attribute that is required by Gtk::Builder was missing.
INVALID_ATTRIBUTE | Gtk::Builder found an attribute that it doesn’t understand.
INVALID_TAG | Gtk::Builder found a tag that it doesn’t understand.
MISSING_PROPERTY_VALUE | A required property value was missing.
INVALID_VALUE | Gtk::Builder couldn’t parse some attribute value.
VERSION_MISMATCH | The input file requires a newer version of GTK+.
DUPLICATE_ID | An object id occurred twice.
OBJECT_TYPE_REFUSED | A specified object type is of the same type or derived from the type of the composite class being extended with builder XML.
TEMPLATE_MISMATCH | The wrong type was specified in a composite class’s template XML.
INVALID_PROPERTY | The specified property is unknown for the object class.
INVALID_SIGNAL | The specified signal is unknown for the object class.
INVALID_ID | An object id is unknown.

## Constructor & Destructor Documentation

Gtk::BuilderError::BuilderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::BuilderError::BuilderError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::BuilderError::code | ( |  | ) | const